Summary: Collection of MIME handling utilities
Name: metamail
Version: 2.7
Release: 7.5
Copyright: Distributable
Group: Applications/Mail
Source: ftp://thumper.bellcore.com/pub/nsp/metamail/mm2.7.tar.Z
Patch0: mm-2.7-make.patch
Patch1: mm-2.7-fonts.patch
Patch2: mm-2.7-glibc.patch
Patch3: mm-2.7-csh.patch
Patch4: mm-2.7-uudecode.patch
Patch5: mm-2.7-sunquote.patch
Patch6: mm-2.7-tmpfile.patch
Patch7: mm-2.7-ohnonotagain.patch
Patch8: mm-2.7-arghhh.patch
Requires: mktemp sharutils csh

%description
Metamail is an implementation of MIME, the Multipurpose Internet Mail
Extensions, a proposed standard for multimedia mail on the Internet.
Metamail implements MIME, and also implements extensibility and
configuration via the "mailcap" mechanism described in an
informational RFC that is a companion to the MIME document.

%changelog

* Tue Jun 30 1998 Erik Troan <ewt@redhat.com>

- backported to Red Hat 4.2

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>

- Here we go again. One more quoting issue.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>

- If you want to know how not to write secure software
  then metamail is a good worked example. Mind you to
  be fair the original author wrote it as a prototype
  MIME tool and it stuck. Anyway it might actually be
  safe now. More from the Linux Security Audit Project.

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>

- Round and round the tmp fixes go
  Where they stop nobody knows

  More holes in metamail fixed - (Linux Security Audit Project)

* Tue May 19 1998 Prospector System <bugs@redhat.com>

- translations modified for de


* Tue May 19 1998 Alan Cox <alan@redhat.com>

- Fixed the quoting bug in sun mail handling noted by Chris Evans and
  a while back via bugtraq.

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>

- added security fix for uudecode 
- requires mktemp, sharutils

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc 

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

Added security patch from Olaf for csh escapes.

%prep
%setup -n mm2.7
%patch0 -p1 -b .make
%patch1 -p1 -b .font
%patch2 -p1 -b .glibc
%patch3 -p1 -b .csh
%patch4 -p1 -b .tmpfiles
%patch5 -p1 -b .quote
#%patch6 -p1 -b .tmpagain
%patch7 -p1 -b .sigh
%patch8 -p1 -b .arghhh

%build
cd src
make RPM_OPT_FLAGS=$RPM_OPT_FLAGS basics

%install
cd src
make install-all
mkdir -p /usr/lib/metamail/fonts
install -m644 fonts/*.pcf /usr/lib/metamail/fonts
install -m644 fonts/fonts.alias /usr/lib/metamail/fonts
mkfontdir /usr/lib/metamail/fonts

%files
/usr/lib/metamail
/usr/bin/audiocompose
/usr/bin/audiosend
/usr/bin/extcompose
/usr/bin/getfilename
/usr/bin/mailserver
/usr/bin/mailto
/usr/bin/mailto-hebrew
/usr/bin/metamail
/usr/bin/metasend
/usr/bin/mimencode
/usr/bin/mmencode
/usr/bin/patch-metamail
/usr/bin/rcvAppleSingle
/usr/bin/richtext
/usr/bin/richtoatk
/usr/bin/showaudio
/usr/bin/showexternal
/usr/bin/shownonascii
/usr/bin/showpartial
/usr/bin/showpicture
/usr/bin/sndAppleSingle
/usr/bin/splitmail
/usr/bin/sun-audio-file
/usr/bin/sun-message.csh
/usr/bin/sun-to-mime
/usr/bin/sun2mime
/usr/man/man1/audiocompose.1
/usr/man/man1/audiosend.1
/usr/man/man1/extcompose.1
/usr/man/man1/getfilename.1
/usr/man/man1/mailto-hebrew.1
/usr/man/man1/mailto.1
/usr/man/man1/metamail.1
/usr/man/man1/metasend.1
/usr/man/man1/mime.1
/usr/man/man1/mimencode.1
/usr/man/man1/mmencode.1
/usr/man/man1/patch-metamail.1
/usr/man/man1/richtext.1
/usr/man/man1/showaudio.1
/usr/man/man1/showexternal.1
/usr/man/man1/shownonascii.1
/usr/man/man1/showpartial.1
/usr/man/man1/showpicture.1
/usr/man/man1/splitmail.1
